package domain


type AlibabaAelophyOrderGetTopBaseResult struct {
    /*
        订单对象     */
    Model  *AlibabaAelophyOrderGetOrderResponse `json:"model,omitempty" `

    /*
        是否成功     */
    Success  *bool `json:"success,omitempty" `

    /*
        错误码     */
    ErrCode  *string `json:"err_code,omitempty" `

    /*
        错误码备注说明     */
    ErrMsg  *string `json:"err_msg,omitempty" `

}

func (s *AlibabaAelophyOrderGetTopBaseResult) SetModel(v AlibabaAelophyOrderGetOrderResponse) *AlibabaAelophyOrderGetTopBaseResult {
    s.Model = &v
    return s
}
func (s *AlibabaAelophyOrderGetTopBaseResult) SetSuccess(v bool) *AlibabaAelophyOrderGetTopBaseResult {
    s.Success = &v
    return s
}
func (s *AlibabaAelophyOrderGetTopBaseResult) SetErrCode(v string) *AlibabaAelophyOrderGetTopBaseResult {
    s.ErrCode = &v
    return s
}
func (s *AlibabaAelophyOrderGetTopBaseResult) SetErrMsg(v string) *AlibabaAelophyOrderGetTopBaseResult {
    s.ErrMsg = &v
    return s
}
